
%define _target_platform  %{_target_cpu}-linux
%define _devprefix        /usr/local
%define _sysconfdir       /etc
%define _infodir          /usr/share/info
%define _mandir           /usr/share/man
%ifos linux
%define _host             i386-pc-linux-gnu
%endif
%define __objdump         %{_target_platform}-objdump
%define __strip           %{_target_platform}-strip

%undefine _enable_debug_packages
%define _unpackaged_files_terminate_build 0

Summary: Statically linked binary providing simplified versions of system commands
Name: busybox
Version: 1.01
Release: 2u1
Epoch: 1
License: GPL
Group: System Environment/Shells
Source: http://www.busybox.net/downloads/%{name}-%{version}.tar.bz2
#Source1: busybox-1.01-20050926.config
Source1: busybox-1.01-20060228.config
Source2: busybox-qconf-linux.tar.gz
Source3: busybox-qconf-cygwin.tar.gz
Source4: busybox-config-script.tar.gz
Patch: busybox-static.patch
Patch1: busybox-anaconda.patch
Patch2: busybox-selinux.patch
Patch3: busybox-1.01-lineo.patch
#Patch4: busybox-1.01-config-tr-bugfix.patch
#Patch5: busybox-1.01-login-20051003.patch
URL: http://www.busybox.net
#BuildRoot: %{_tmppath}/%{name}-root
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
#BuildRequires: libselinux-devel
Autoreq: false
AutoReqProv: false

#%package anaconda
#Group: System Environment/Shells
#Summary: Version of busybox configured for use with anaconda

%description 
Busybox is a single binary which includes versions of a large number
of system commands, including a shell.  This package can be very
useful for recovering from certain types of system failures,
particularly those involving broken shared libraries.

#%description anaconda
#Busybox is a single binary which includes versions of a large number
#of system commands, including a shell.  The version contained in this
#package is designed for use with the Red Hat installation program,
#anaconda. The busybox package provides a binary better suited to
#normal use.

%prep
%setup -q
cp sysdeps/linux/defconfig .config
#SELINUX Patch
%patch2 -b .selinux -p1
%patch -b .static -p1
#%patch1 -b .anaconda -p1

cp -af %{SOURCE1} .config

%patch3 -p1

perl -pi.bak -e '
    s,^CROSS_COMPILER_PREFIX=.*$,CROSS_COMPILER_PREFIX="%{_target_cpu}-linux-",;    ' .config
rm -f .config.bak

#%patch4 -p1
#%patch5 -p1

%ifos linux
tar xzf %{SOURCE2}
%else
tar xzf %{SOURCE3}
%endif

tar xzf %{SOURCE4}


%build
#make defconfig
make oldconfig
#make dep

# update to 2u 
make clean

make 
#cp busybox busybox-static
#make clean

# revert the patch
#find . -name "*.static" | while read n; do
#    mv $n $(echo $n | sed 's/\.static$//')
#done

#patch -b --suffix .anaconda -p1 < %{PATCH1}
#make DOLFS=y defconfig
#make CONFIG_DEBUG=y

%install
rm -rf $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT/sbin
#mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
#install -m 755 busybox-static $RPM_BUILD_ROOT/sbin/busybox
#install -m 755 busybox $RPM_BUILD_ROOT/sbin/busybox.anaconda
#install -m 644 docs/BusyBox.1 $RPM_BUILD_ROOT/%{_mandir}/man1/busybox.1
make install PREFIX=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/bin/
/sbin/
/usr/sbin/
/usr/bin/

#/sbin/busybox
#/sbin/busybox.anaconda
#%{_mandir}/man1/busybox*

#%files anaconda
#%defattr(-,root,root)
#/sbin/busybox.anaconda

%changelog
* Wed Jan  11 2006 Kimie Saito <saito@lineo.co.jp> - 1.01-2u
- add "make clean"

* Thu Dec  22 2005 Hiroshi Baba <baba@lineo.co.jp> - 1.01-1
- add xconfig script
 
* Thu Sep  1 2005 Ivana Varekova <varekova@redhat.com> - 1.01-1
- update to 1.01
 
* Tue May 11 2005 Ivana Varekova <varekova@redhat.com> - 1.00-5
- add debug files to debug_package

* Mon Mar  7 2005 Ivana Varekova <varekova@redhat.com> - 1.00-4
- rebuilt

* Wed Jan 26 2005 Ivana Varekova <varekova@redhat.com> - 1.00-3
- update to 1.00 - fix bug #145681
- rebuild

* Thu Jan 13 2005 Jeremy Katz <katzj@redhat.com> - 1.00.rc1-6
- enable ash as the shell in busybox-anaconda

* Sat Oct  2 2004 Bill Nottingham <notting@redhat.com> - 1.00.rc1-5
- fix segfault in SELinux patch (#134404, #134406)

* Fri Sep 17 2004 Phil Knirsch <pknirsch@redhat.com> - 1.00.rc1-4
- Fixed double free in freecon() call (#132809)

* Fri Sep 10 2004 Daniel Walsh <dwalsh@redhat.com> - 1.00.rc1-3
- Add CONFIG_STATIC=y for static builds

* Wed Aug 25 2004 Jeremy Katz <katzj@redhat.com> - 1.00.rc1-2
- rebuild

* Fri Jun 25 2004 Dan Walsh <dwalsh@redhat.com> 1.00-pre10.1
- Add BuildRequires libselinux-devel
- Update to latest from upstream

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 11 2004 Karsten Hopp <karsten@redhat.de> 1.00.pre8-4 
- add mknod to busybox-anaconda

* Wed Apr 21 2004 Karsten Hopp <karsten@redhat.de> 1.00.pre8-3 
- fix LS_COLOR in anaconda patch

* Tue Mar 23 2004 Jeremy Katz <katzj@redhat.com> 1.00.pre8-2
- add awk to busybox-anaconda

* Sat Mar 20 2004 Dan Walsh <dwalsh@redhat.com> 1.00-pre8.1
- Update with latest patch. 
- Turn off LS_COLOR in static patch

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Dan Walsh <dwalsh@redhat.com> 1.00-pre5.2
- Fix is_selinux_enabled calls

* Mon Dec 29 2003 Dan Walsh <dwalsh@redhat.com> 1.00-pre5.1
-Latest update

* Wed Nov 26 2003 Dan Walsh <dwalsh@redhat.com> 1.00-pre3.2
- Add insmod

* Mon Sep 15 2003 Dan Walsh <dwalsh@redhat.com> 1.00-pre3.1
- Upgrade to pre3

* Thu Sep 11 2003 Dan Walsh <dwalsh@redhat.com> 1.00.2
- Upgrade selinux support

* Wed Jul 23 2003 Dan Walsh <dwalsh@redhat.com> 1.00.1
- Upgrade to 1.00 package

* Wed Jul 16 2003 Elliot Lee <sopwith@redhat.com> 0.60.5-10
- Rebuild

* Mon Jul 14 2003 Jeremy Katz <katzj@redhat.com> 0.60.5-9
- rebuild

* Mon Jul 14 2003 Jeremy Katz <katzj@redhat.com> 0.60.5-8
- add dmesg to busybox-anaconda

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jan 13 2003 Jeremy Katz <katzj@redhat.com> 0.60.5-5
- lost nolock for anaconda mount when rediffing, it returns (#81764)

* Mon Jan 6 2003 Dan Walsh <dwalsh@redhat.com> 0.60.5-4
- Upstream developers wanted to eliminate the use of floats

* Thu Jan 3 2003 Dan Walsh <dwalsh@redhat.com> 0.60.5-3
- Fix free to work on large memory machines.

* Sat Dec 28 2002 Jeremy Katz <katzj@redhat.com> 0.60.5-2
- update Config.h for anaconda build to include more useful utils

* Thu Dec 19 2002 Dan Walsh <dwalsh@redhat.com> 0.60.5-1
- update latest release

* Thu Dec 19 2002 Dan Walsh <dwalsh@redhat.com> 0.60.2-8
- incorporate hammer changes

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 06 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- fix compilation on mainframe

* Tue Apr  2 2002 Jeremy Katz <katzj@redhat.com>
- fix static busybox (#60701)

* Thu Feb 28 2002 Jeremy Katz <katzj@redhat.com>
- don't include mknod in busybox.anaconda so we get collage mknod

* Fri Feb 22 2002 Jeremy Katz <katzj@redhat.com>
- rebuild in new environment

* Wed Jan 30 2002 Jeremy Katz <katzj@redhat.com>
- update to 0.60.2
- include more pieces for the anaconda version so that collage can go away
- make the mount in busybox.anaconda default to -onolock

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
`- automated rebuild

* Mon Jul  9 2001 Tim Powers <timp@redhat.com>
- don't obsolete sash
- fix URL and spelling in desc. to satisfy rpmlint

* Thu Jul 05 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add missing defattr for anaconda subpackage

* Thu Jun 28 2001 Erik Troan <ewt@redhat.com>
- initial build for Red Hat
